## python-pychart 1.37

=== Makefile ===
SUBDIRS=doc demos PyChart

dist:
	python setup.py sdist

clean:
	rm -f *~
	-for dir in $(SUBDIRS); do $(MAKE) -C$$dir clean; done


install:
	scp dist/PyChart-1.37.tar.gz spica:web/intweb/personal/Yasushi_Saito/pychart
	scp -r doc/pychart/* spica:web/intweb/personal/Yasushi_Saito/pychart/doc
	scp doc/examples/* spica:web/intweb/personal/Yasushi_Saito/pychart/examples/
	baz changelog >,,changelog
	scp ,,changelog spica:web/intweb/personal/Yasushi_Saito/pychart/ChangeLog

=== demos/Makefile ===
# Works only for gmake.
#
# Just typing "make" creates all eps, pdf, color eps, color pdf files.
#
#

SAMPLEFILES=annotations.py bartest.py bartestv.py colors.py \
	failure.py fillstyles.py linestyles.py linetest.py linetest3.py \
	pietest.py scattertest.py tickmarks.py intvlbartestv.py \
	rangetest.py arrows.py errorbars.py sincos.py bartest2.py \
	tocsfake.py tocsscale.py tocssingle.py tocsskew.py tocsturbo.py \
	comparison.py  recoverycost.py cliptest.py fonttest.py \
	tocsturbo2.py zaptest.py zaptest2.py categbar.py date.py \
	failureannot.py unevenbars.py roseplottest.py bgtest.py


PSFILES=$(SAMPLEFILES:.py=.eps)
PDFFILES=$(SAMPLEFILES:.py=.pdf)
COLOR_PSFILES=$(SAMPLEFILES:.py=-c.eps)
COLOR_PDFFILES=$(SAMPLEFILES:.py=-c.pdf)
COLOR_PNGFILES=$(SAMPLEFILES:.py=-c.png)
PNGFILES=$(SAMPLEFILES:.py=.png)

all: $(PSFILES) $(PDFFILES) $(COLOR_PSFILES) $(COLOR_PDFFILES) $(COLOR_PNGFILES)

ps: $(PSFILES)
pdf: $(PDFFILES)
colorps: $(COLOR_PSFILES)
colorpdf:    $(COLOR_PDFFILES)
png: $(PNGFILES)
colorpng: $(COLOR_PNGFILES)

regression: all
	for psfile in *.eps; do echo $$psfile; ps2ps $$psfile /dev/null; done
	   
clean:
	rm -f *.eps *~ *.pyc *.ps foo.* *.bak *.gif *.png *.pdf

PYTHON=python
#PYTHON=jython
#PYTHON=python2 coverage.py -x

%.eps: %.py
	PYTHONPATH=.. PYCHART_OPTIONS="output=$@" $(PYTHON) $*.py
%.pdf: %.py
	PYTHONPATH=.. PYCHART_OPTIONS="output=$@" $(PYTHON) $*.py 
%.svg: %.py
	PYTHONPATH=.. PYCHART_OPTIONS="output=$@" $(PYTHON) $*.py 

%-c.eps: %.py
	PYTHONPATH=.. PYCHART_OPTIONS="output=$@ color=yes" $(PYTHON) $*.py
%-c.pdf: %.py
	PYTHONPATH=.. PYCHART_OPTIONS="output=$@ color=yes" $(PYTHON) $*.py
%.png: %.py
	PYTHONPATH=.. PYCHART_OPTIONS="scale=2 output=$@" $(PYTHON) $*.py	
%-c.png: %.py
	PYTHONPATH=.. PYCHART_OPTIONS="scale=2 output=$@ color=yes" $(PYTHON) $*.py

=== doc/Makefile ===
PYCHART_DIR=$(HOME)/pychart
PYTHON_DOC_DIR=$(HOME)/Python-Docs
all: pychart examples

pychart: pychart.tex
	$(PYTHON_DOC_DIR)/tools/mkhowto --html pychart.tex
	$(MAKE) markup

pychart.tex: template.tex doc.py
	make -C$(PYCHART_DIR)/demos colorpng
	PYTHONPATH=$(PYCHART_DIR):$(PYCHART_DIR)/demos python doc.py --pychart-dir=$(PYCHART_DIR) template.tex >$@

markup:
	for f in pychart/*.html; do echo $$f; python markuphtml.py <$$f >foo.html; mv foo.html $$f; done 

clean:
	rm -f *.pyc *~ *.html *.info tmp.texi 
	rm -rf examples html demos

demo:
	PYTHONPATH=..:../demos python demodoc.py 
examples: examples.py $(wildcard ../demos/*.py)
	python examples.py

index.html: index.html $(GIFFILES)
	gtml index.gtml

WEBSERVER=spica.hpl.hp.com
install2:
	scp -r pychart/* $(WEBSERVER):web/intweb/personal/Yasushi_Saito/pychart/doc
	scp -r examples/* $(WEBSERVER):web/intweb/personal/Yasushi_Saito/pychart/examples
	#scp pychart.pdf $(WEBSERVER):web/intweb/personal/Yasushi_Saito/pychart/

## python-pychart 1.39

=== Makefile ===
SUBDIRS=doc demos PyChart

dist:
	python setup.py sdist

clean:
	rm -f *~
	-for dir in $(SUBDIRS); do $(MAKE) -C$$dir clean; done

WWW_DIR=$(HOME)/gna/pychart
install:
	#rm -f $(WWW_DIR)/doc/*
	#rm -f $(WWW_DIR)/examples/*
	cp -r doc/pychart/* $(WWW_DIR)/doc
	cp -r doc/examples/* $(WWW_DIR)/examples
	baz changelog >$(WWW_DIR)/ChangeLog

copy:
	rm -rf ,,download
	mkdir ,,download
	(cd doc; tar czf ../,,download/pychart-doc.tar.gz pychart)
	cp dist/PyChart-1.38.tar.gz ,,download
	rsync --delete -avr --rsh="ssh" ,,download/* ysaito@download.gna.org:/upload/pychart

=== demos/Makefile ===
# Works only for gmake.
#
# Just typing "make" creates all eps, pdf, color eps, color pdf files.
#
#

SAMPLEFILES=$(shell python ./list_sources.py)
PSFILES=$(SAMPLEFILES:.py=.eps)
PDFFILES=$(SAMPLEFILES:.py=.pdf)
COLOR_PSFILES=$(SAMPLEFILES:.py=-c.eps)
COLOR_PDFFILES=$(SAMPLEFILES:.py=-c.pdf)
COLOR_PNGFILES=$(SAMPLEFILES:.py=-c.png)
PNGFILES=$(SAMPLEFILES:.py=.png)
SVGFILES=$(SAMPLEFILES:.py=.svg)

all: $(PSFILES) $(PDFFILES) $(COLOR_PSFILES) $(COLOR_PDFFILES) $(COLOR_PNGFILES)

ps: $(PSFILES)
pdf: $(PDFFILES)
svg: $(SVGFILES)
colorps: $(COLOR_PSFILES)
colorpdf:    $(COLOR_PDFFILES)
png: $(PNGFILES)
colorpng: $(COLOR_PNGFILES)

regression: all
	for psfile in *.eps; do echo $$psfile; ps2ps $$psfile /dev/null; done

clean:
	rm -f *.eps *~ *.pyc *.ps foo.* *.bak *.gif *.png *.pdf *.svg

PYTHON?=python
#PYTHON=jython
#PYTHON=python2 coverage.py -x

%.eps: %.py
	PYTHONPATH=.. PYCHART_OPTIONS="output=$@" $(PYTHON) $*.py
%.pdf: %.py
	PYTHONPATH=.. PYCHART_OPTIONS="output=$@" $(PYTHON) $*.py
%.svg: %.py
	PYTHONPATH=.. PYCHART_OPTIONS="output=$@" $(PYTHON) $*.py

%-c.eps: %.py
	PYTHONPATH=.. PYCHART_OPTIONS="output=$@ color=yes" $(PYTHON) $*.py
%-c.pdf: %.py
	PYTHONPATH=.. PYCHART_OPTIONS="output=$@ color=yes" $(PYTHON) $*.py
%.png: %.py
	PYTHONPATH=.. PYCHART_OPTIONS="scale=2 output=$@" $(PYTHON) $*.py
%-c.png: %.py
	PYTHONPATH=.. PYCHART_OPTIONS="scale=2 output=$@ color=yes" $(PYTHON) $*.py

=== doc/Makefile ===
PYCHART_DIR=..
PYTHON_DOC_DIR=$(HOME)/Python-2.4.2/Doc
all: pychart examples

pychart: pychart.tex
	$(PYTHON_DOC_DIR)/tools/mkhowto --html pychart.tex
	$(MAKE) markup

pychart.pdf: pychart.tex
	$(PYTHON_DOC_DIR)/tools/mkhowto --pdf pychart.tex

pychart.tex: template.tex doc.py
	make -C$(PYCHART_DIR)/demos colorpng
	PYTHONPATH=$(PYCHART_DIR):$(PYCHART_DIR)/demos python doc.py --pychart-dir=$(PYCHART_DIR) template.tex >$@

markup:
	for f in pychart/*.html; do echo $$f; python markuphtml.py <$$f >foo.html; mv foo.html $$f; done

clean:
	rm -f *.pyc *~ *.html *.info tmp.texi *.png *.eps pychart.tex
	rm -rf examples html demos

demo:
	PYTHONPATH=..:../demos python demodoc.py
examples: examples.py $(wildcard ../demos/*.py)
	python examples.py

index.html: index.html $(GIFFILES)
	gtml index.gtml

=== debian/changelog ===
python-pychart (1.39-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to source format 3.0 (quilt) and remove dpatch

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 09 Aug 2019 23:34:48 +0200

python-pychart (1.39-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python. Closes: #786237.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Aug 2015 15:17:37 +0200

python-pychart (1.39-7) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * Vcs-Browser and Homepage fields added
  * XS-Vcs-Svn field renamed to Vcs-Svn

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field
    - switch Vcs-Browser field to viewsvn
    - bump Standards-Version to 3.8.1
      + added debian/README.source
    - added ${misc:Depends} to bin pkgs depends
    - replaced 'gs' (transitional package) with 'ghostscript'

  [ Luca Falavigna ]
  * Remove python-pychart.postinst and python-pychart.prerm, pysupport
    already invokes update-python-modules itself (Closes: #517067).
  * Add python-pychart-doc binary package (Closes: #507984).

  [ Raphael Hertzog ]
  * Remove myself from Uploaders.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Fri, 10 Apr 2009 12:07:26 +0200

python-pychart (1.39-6) unstable; urgency=low

  [Piotr Ozarowski] 

  * Added XS-Vcs-Svn field

  [Santiago Ruano Rincón]

  * Updated Build-Depends-Indep, using gs instead of gs-gpl|gs-esp
  * Recommends: gs. (Closes: #411516)
  * Updated description

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 22 Feb 2007 02:08:12 -0500

python-pychart (1.39-5) unstable; urgency=low

  * Add missing build-depends-indep. Closes: #379560

 -- Raphael Hertzog <hertzog@debian.org>  Mon, 24 Jul 2006 12:53:11 +0200

python-pychart (1.39-4) unstable; urgency=low

  * Update for the new Python policy. Closes: #373341

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 23 Jun 2006 21:19:15 +0200

python-pychart (1.39-3) unstable; urgency=low

  * The "I'm tired of working on my thesis project" release.
  * Initial python-support transition, using cdbs to build the package.
    python2.{3,4}-pychart deleted.
  * Standards-Version updated to 3.7.2
  * Added Debian Python Modules Team to Uploaders
  
 -- Santiago Ruano Rincón <santiago@debian.org>  Thu,  1 Jun 2006 00:02:50 -0500

python-pychart (1.39-2) unstable; urgency=low

  * python2.3-pychart and python2.4-pychart, changed to arch: all (Closes: #357179)
  * New maintainer mail address

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 20 Apr 2006 19:39:11 -0500

python-pychart (1.39-1) unstable; urgency=low

  * New upstream release
  * The documentation isn't builded, because it need latex2html, a non-free
    package.

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Mon,  6 Feb 2006 01:04:39 -0500

python-pychart (1.37-6) unstable; urgency=low

  * Removed binary package for python2.2 (Closes: #351152)

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Thu,  2 Feb 2006 23:00:01 -0500

python-pychart (1.37-5) unstable; urgency=low

  * Changed the description of python-pychart, from
    "empty dummy package" to "dependency metapackage".

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Thu,  3 Nov 2005 11:04:47 -0500

python-pychart (1.37-4) unstable; urgency=low

  * Fixed an error in demos/tocsturbo.py 
  * Updated to the 3.6.2 version of Debian Policy
  * Added a debian/watch file

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Mon,  1 Aug 2005 00:31:23 -0500

python-pychart (1.37-3) unstable; urgency=low

  * debian/rules clean: target improved, thanks to
    Marc 'HE' Brockschmidt <he@debian.org>

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Thu, 21 Jul 2005 23:13:10 -0500

python-pychart (1.37-2) unstable; urgency=low

  * Fixed the version and location of the License in debian/changelog
  * debian/rules fixed
  * Debhelper compatibility level set to 4
  * Added gs-esp as an alternative dependency to gs-gpl
  * Used the demos directory in the docs

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Mon, 16 May 2005 00:19:04 -0500

python-pychart (1.37-1) unstable; urgency=low

  * Initial Release. (Closes: #241214)

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Thu, 14 Apr 2005 23:00:38 -0500

=== debian/control ===
Source: python-pychart
Section: python
Priority: optional
Maintainer: Santiago Ruano Rincón <santiago@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: cdbs (>= 0.4.42), debhelper, python-dev, dh-python
Build-Depends-Indep: ghostscript
Standards-Version: 3.8.1
Homepage: http://home.gna.org/pychart/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pychart/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-pychart/trunk/

Package: python-pychart
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Suggests: python-pychart-doc
Replaces: python2.3-pychart, python2.4-pychart
Conflicts: python2.3-pychart, python2.4-pychart
Recommends: ghostscript
XB-Python-Version: ${python:Versions}
Description: Python library for creating high quality charts
 PyChart is a Python library for creating high quality 
 Encapsulated Postscript, PDF, PNG, or SVG charts. It 
 currently supports line plots, bar plots, range-fill 
 plots, and pie charts. Because it is based on Python, 
 you can make full use of Python's scripting power. 
 .
 You need to have ghostscript installed for PNG generation 
 and X11 displaying.

Package: python-pychart-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: python-pychart
Description: Documentation for PyChart
 PyChart is a Python library for creating high quality 
 Encapsulated Postscript, PDF, PNG, or SVG charts. It 
 currently supports line plots, bar plots, range-fill 
 plots, and pie charts. Because it is based on Python, 
 you can make full use of Python's scripting power. 
 .
 This package contains PyChart documentations and example files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

DEB_PYTHON_DESTDIR=$(CURDIR)/debian/python-pychart/

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	find -name '*.pyc' -exec rm -f {} \;

=== debian/watch ===
# Site                         Pattern                 Version Script
version=3
http://download.gna.org/pychart/ PyChart-(.*)\.tar\.gz debian uupdate
